IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_evaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_evaluacion]
GO
CREATE PROCEDURE [reg_doc_documento_evaluacion]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento_evaluacion] AS [documento_evaluacion],
		[personaEncuestada] AS [personaEncuestada],
		[fechaEncuesta_ff] AS [fechaEncuesta_ff],
		[id_documento] AS [id_documento],
		[id_evaluacion] AS [id_evaluacion],
		[observaciones] AS [observaciones]
	FROM [doc_documento_evaluacion]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_evaluacion]')) DROP VIEW [dbo].[view_doc_documento_evaluacion]
GO
CREATE  VIEW [view_doc_documento_evaluacion] AS
SELECT 	[doc_documento_evaluacion].[id] AS [id],
		[doc_documento_evaluacion].[uid] AS [uid],
		[doc_documento_evaluacion].[eid] AS [eid],
		[doc_documento_evaluacion].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento_evaluacion].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento_evaluacion].[fechaModificacion] AS [fechaModificacion],
		[doc_documento_evaluacion].[fechaCreacion] AS [fechaCreacion],
		[doc_documento_evaluacion].[active] AS [active],
		[doc_documento_evaluacion].[documento_evaluacion] AS [documento_evaluacion],
		[doc_documento_evaluacion].[personaEncuestada] AS [personaEncuestada],
		[doc_documento_evaluacion].[fechaEncuesta_ff] AS [fechaEncuesta_ff],
		[doc_documento_evaluacion].[id_documento] AS [id_documento],
[doc_documento].[documento] as [doc_documento_documento],
[doc_documento].[documento_codigo] as [doc_documento_documento_codigo],
[doc_documento].[documento_numero] as [doc_documento_documento_numero],
[doc_documento].[prefijo] as [doc_documento_prefijo],
[doc_documento].[subtotal] as [doc_documento_subtotal],
[doc_documento].[descuento] as [doc_documento_descuento],
[doc_documento].[iva] as [doc_documento_iva],
[doc_documento].[total] as [doc_documento_total],
[doc_documento].[costo] as [doc_documento_costo],
[doc_documento].[rentabilidad] as [doc_documento_rentabilidad],
[doc_documento].[trm] as [doc_documento_trm],
[doc_documento].[fecha_fh] as [doc_documento_fecha_fh],
[doc_documento].[fechaSugerida_fh] as [doc_documento_fechaSugerida_fh],
[doc_documento].[fechaCierre_ff] as [doc_documento_fechaCierre_ff],
[doc_documento].[fechaLimite_fh] as [doc_documento_fechaLimite_fh],
[doc_documento].[id_subtipoDocumento] as [doc_documento_id_subtipoDocumento],
[doc_documento].[id_tercero_cliente] as [doc_documento_id_tercero_cliente],
[doc_documento].[id_documento] as [doc_documento_id_documento],
[doc_documento].[id_tercero_proveedor] as [doc_documento_id_tercero_proveedor],
[doc_documento].[id_prioridadDocumento] as [doc_documento_id_prioridadDocumento],
[doc_documento].[id_moneda] as [doc_documento_id_moneda],
[doc_documento].[id_estadoTipoDocumento] as [doc_documento_id_estadoTipoDocumento],
[doc_documento].[id_motivoestado] as [doc_documento_id_motivoestado],
[doc_documento].[subtotalPlaneado] as [doc_documento_subtotalPlaneado],
[doc_documento].[descuentoPlaneado] as [doc_documento_descuentoPlaneado],
[doc_documento].[ivaPlaneado] as [doc_documento_ivaPlaneado],
[doc_documento].[totalPlaneado] as [doc_documento_totalPlaneado],
[doc_documento].[costoPlaneado] as [doc_documento_costoPlaneado],
[doc_documento].[id_usuario_asignado] as [doc_documento_id_usuario_asignado],
		[doc_documento_evaluacion].[id_evaluacion] AS [id_evaluacion],
[doc_evaluacion].[evaluacion] as [doc_evaluacion_evaluacion],
[doc_evaluacion].[evaluacion_codigo] as [doc_evaluacion_evaluacion_codigo],
[doc_evaluacion].[activa] as [doc_evaluacion_activa],
[doc_evaluacion].[id_subtipoDocumento] as [doc_evaluacion_id_subtipoDocumento],
		[doc_documento_evaluacion].[observaciones] AS [observaciones],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento_evaluacion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento_evaluacion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento_evaluacion].[id_usuario_creo]
	INNER JOIN [doc_documento] ON [doc_documento].id=[doc_documento_evaluacion].[id_documento]
	INNER JOIN [doc_evaluacion] ON [doc_evaluacion].id=[doc_documento_evaluacion].[id_evaluacion]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento_evaluacion].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXdocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXdocumento]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXdocumento]
	@p_id_documento INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_documento]= @p_id_documento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXevaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXevaluacion]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXevaluacion]
	@p_id_evaluacion INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_evaluacion]= @p_id_evaluacion)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluaciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluaciones]
GO
CREATE PROCEDURE [sel_doc_documento_evaluaciones]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_evaluacion]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_evaluaciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_evaluaciones]
GO
CREATE PROCEDURE [lis_doc_documento_evaluaciones]
	AS
BEGIN
	SELECT id AS id,
[documento_evaluacion] AS [doc_documento_evaluacion]
	FROM [doc_documento_evaluacion]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_evaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_evaluacion]
GO
CREATE PROCEDURE [upd_doc_documento_evaluacion]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documento_evaluacion varchar(300) = null,
		@p_personaEncuestada varchar(100) = null,
		@p_fechaEncuesta_ff smalldatetime = null,
		@p_id_documento int = null,
		@p_id_evaluacion int = null,
		@p_observaciones varchar(1000) = null
AS
BEGIN
		UPDATE [doc_documento_evaluacion]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documento_evaluacion] = isnull(@p_documento_evaluacion,[documento_evaluacion]),
			[personaEncuestada] = isnull(@p_personaEncuestada,[personaEncuestada]),
			[fechaEncuesta_ff] = isnull(@p_fechaEncuesta_ff,[fechaEncuesta_ff]),
			[id_documento] = isnull(@p_id_documento,[id_documento]),
			[id_evaluacion] = isnull(@p_id_evaluacion,[id_evaluacion]),
			[observaciones] = isnull(@p_observaciones,[observaciones])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_evaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_evaluacion]
GO
CREATE PROCEDURE [ins_doc_documento_evaluacion]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_evaluacion varchar(300),
		@p_personaEncuestada varchar(100),
		@p_fechaEncuesta_ff smalldatetime,
		@p_id_documento int,
		@p_id_evaluacion int,
		@p_observaciones varchar(1000)
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documento_evaluacion]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento_evaluacion],
			[personaEncuestada],
			[fechaEncuesta_ff],
			[id_documento],
			[id_evaluacion],
			[observaciones])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_evaluacion,
			@p_personaEncuestada,
			@p_fechaEncuesta_ff,
			@p_id_documento,
			@p_id_evaluacion,
			@p_observaciones)
		SET @v_id = scope_identity()
UPDATE [doc_documento_evaluacion] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_evaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_evaluacion]
GO
CREATE PROCEDURE [act_doc_documento_evaluacion]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_documento_evaluacion]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_evaluacion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_evaluacion_m]
GO
CREATE PROCEDURE [reg_doc_documento_evaluacion_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento_evaluacion] AS [documento_evaluacion],
		[personaEncuestada] AS [personaEncuestada],
		[fechaEncuesta_ff] AS [fechaEncuesta_ff],
		[id_documento] AS [id_documento],
		[id_evaluacion] AS [id_evaluacion],
		[observaciones] AS [observaciones]
	FROM [doc_documento_evaluacion]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXdocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXdocumento_m]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXdocumento_m]
	@p_id_documento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_documento]= @p_id_documento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluacionesXevaluacion_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluacionesXevaluacion_m]
GO
CREATE PROCEDURE [sel_doc_documento_evaluacionesXevaluacion_m]
	@p_id_evaluacion INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento_evaluacion]
	WHERE ([id_evaluacion]= @p_id_evaluacion)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_evaluaciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_evaluaciones_m]
GO
CREATE PROCEDURE [sel_doc_documento_evaluaciones_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_evaluacion]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_evaluaciones_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_evaluaciones_m]
GO
CREATE PROCEDURE [lis_doc_documento_evaluaciones_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento_evaluacion] AS [doc_documento_evaluacion]
	FROM [doc_documento_evaluacion]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_evaluacion]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_evaluacion]
GO
CREATE PROCEDURE [aud_doc_documento_evaluacion]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento_evaluacion].id as id_tabla,
	[doc_documento_evaluacion].id_usuario_modifico as id_usuario_modifico,
	[doc_documento_evaluacion].id_usuario_creo as id_usuario_creo,
	[doc_documento_evaluacion].fechaModificacion as fechaModificacion,
	[doc_documento_evaluacion].fechaCreacion as fechaCreacion,
	[doc_documento_evaluacion].active as active,
	[doc_documento_evaluacion].[documento_evaluacion] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento_evaluacion]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento_evaluacion].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento_evaluacion].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_documento_evaluacion'
-----------------------------------30/08/2017 14:28:11